Subject: Re: bug#40126: Acknowledgement (28.0.50; [feature/native-comp] + Org 9.3.6 org-with-wide-buffer macro is wrongly treated as function)

From: Andrea Corallo <[email-masked]>
Date: Tue, 07 Apr 2020 10:18:34 +0000

Ihor Radchenko <[email-masked]> writes:

> Hi Andrea,
>
> I am not really familiar with compilation in Emacs, so correct me if I
> misunderstand something.
>
> I have looked through org package files and fount the following line in
> org.el:
>
> (eval-and-compile (require 'org-macs))
>
> I suspect that it supposed to be responsible for loading the macro
> definitions (including org-with-wide-buffer) during byte-compilation.

Hi Ihor,

yes but in org-refile.el there are no requires at all :O

org-refile is always required in other files after org but it can't be
compiled alone correctly if it has no appropriate require in its code.
This applies to byte compilation too.

Andrea

-- 
[email-masked]